Skip to navigation

Add Company Attachment

Attaches a file to a Company account.

The default rate limit for this endpoint is 15 calls/min per store.

Each Company can have a maximum of 10 attachments. The following file types are supported:

- Image files (BMP, GIF, ICO, JPG/JPEG, PNG, SVG, TIF, TIFF, WEBP, WBMP, XBM)
- PDF
- DOC, DOCX
- XLS, XLSX
- CSV

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Request

This endpoint expects a multipart form containing a file.
attachmentFilefileRequired
Attaches a file to the Company account. The file must be a supported type and not exceed 10MB.

Response

OK
codedoubleOptionalDefaults to 200
dataobjectOptional
metaobjectOptional